
<?php if (isset($error_message)) { ?>
      <div class="row">
        <ul class="woocommerce-error" id="errDiv">
            <li>
                <?php echo __('Payment Error.', 'shopinext') ?>
                <br /><b><?php echo $error_message; ?></b><br/>
                <?php echo __('Please check the form and try again.', 'shopinext') ?>
            </li>
        </ul>
    </div>
<?php } else { ?>

<style>
   @media (min-width: 768px) {
        #shopinext {
            width:40%;
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
			margin:0 auto;
        }
        #shopinext input {
			margin: 1% 0;
			width: 49%;
			padding: 15px 10px;
			background: #f9f9f9;
			border: 1px solid #cacaca;
        }
        #shopinext button {
            width:100%;
            padding:2% 1%;
            border:unset;
            font-weight:bold;
            background:#009fe3;
            color:#fff;
            cursor:pointer;
            margin:1% 0;
        }
    }
    @media (max-width: 768px) {
        #shopinext {
            width:100%;
        }
        #shopinext input {
			margin: 1% 0;
			width: 49%;
			padding: 15px 10px;
			background: #f9f9f9;
			border: 1px solid #cacaca;
        }
        #shopinext button {
            width:100%;
            padding:2% 1%;
            border:unset;
            font-weight:bold;
            background:#009fe3;
            color:#fff;
            cursor:pointer;
            margin:1% 0;
        }
    }

    .shopinext-group {
        display:flex;
        display:-webkit-flex;
        justify-content: space-between;
    }
    .shopinext-group input {
        width:32%!important;
        margin: 0;
    }
</style>

<form id="shopinext" action="https://www.shopinext.com/sale3d/<?=(isset($session->sessionToken))?$session->sessionToken:''?>" method="post">
    <input type="text" name="name" placeholder="Kart Üzerindeki Ad Soyad" autocomplete="off" maxlength="32" required />
    <input type="text" name="number" class="number" placeholder="Kart Numarası" autocomplete="off" minlength="19" maxlength="19" required />
    <div class="shopinext-group">
        <input type="text" name="month" class="month" placeholder="Ay" minlength="2" maxlength="2" required />
        <input type="text" name="year" class="year" placeholder="Yıl" minlength="2" maxlength="4" required />
        <input type="text" type="input" name="cvv" class="cvv" placeholder="CVV" autocomplete="off" maxlength="4" required />
    </div>
    <button type="submit">Ödemeyi Tamamla</button>
</form>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://www.shopinext.com/assets/js/jquery.mask.js"></script>
<script>
    $('.number').mask("0000 0000 0000 0000");
    $('.month').mask("00");
    $('.year').mask("0000");
    $('.cvv').mask("0000");
</script>
<?php } ?>
